Subject: Re: [PATCH v6 6/6] agent: advertise OS name via agent capability

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Feb 2025 09:14:00 -0800

Usman Akinyemi <[email-masked]> writes:

> diff --git a/Documentation/gitprotocol-v2.txt b/Documentation/gitprotocol-v2.txt
> ...
>  advertise the agent capability). The `X` and `Y` strings may contain any
> -printable ASCII characters except space (i.e., the byte range 32 < x <
> -127), and are typically of the form "package/version" (e.g.,
> ...
> -the presence or absence of particular features.
> +printable ASCII characters (i.e., the byte range 33 <= x <= 126), and are
> +typically of the form "package/version-os" (e.g., "git/1.8.3.1-Linux")

THe above updates the way the byte range is expressed as inequality
but the series does not change the byte range itself.  Hence, "any
printable ASCII chavacters except space" should stay the same as-is,
without losing "except space", I would think.

No need to resend just to update this.

Thaskn.